{
  "schema_version": "1.4.0",
  "id": "GHSA-26g9-q99r-c973",
  "modified": "2025-04-20T03:49:05Z",
  "published": "2022-05-13T01:25:26Z",
  "aliases": [
    "CVE-2017-16927"
  ],
  "details": "The scp_v0s_accept function in sesman/libscp/libscp_v0.c in the session manager in xrdp through 0.9.4 uses an untrusted integer as a write length, which allows local users to cause a denial of service (buffer overflow and application crash) or possibly have unspecified other impact via a crafted input stream.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2017-16927"
    },
    {
      "type": "WEB",
      "url": "https://github.com/neutrinolabs/xrdp/pull/958"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#!topic/xrdp-devel/PmVfMuy_xBA"
    },
    {
      "type": "WEB",
      "url": "https://groups.google.com/forum/#%21topic/xrdp-devel/PmVfMuy_xBA"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2017/12/msg00005.html"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-119"
    ],
    "severity": "HIGH",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2017-11-23T06:29:00Z"
  }
}